import React, { Component } from 'react';

import { connect } from 'react-redux';
import { AddNewStaffAction, closeModal, pushPhoto } from "../actions/addNewStaffAction";

import { getUsersDataById } from "../actions/getUserById"

import { bindActionCreators } from "redux";

import FormAddNewStaff from '../components/FormsAdd/FormAddNewStaff';
import EditModal from "../components/Modal";

class AddNewStaff extends Component {
    componentDidMount() {

        const { getUsersDataById } = this.props
              let localS = JSON.parse(localStorage.getItem("login"));
                if(localS===null){
                }
                else{
                    getUsersDataById(localS)
                }
              
    }
    closeEditModal = () => {
        const { closeModal } = this.props;
        closeModal();
    }
    render() {
        const { showModal, error, isFetching, AddNewStaffAction, getUser, photo, pushPhoto } = this.props
        
        return (

            <div className="top">
                <div>
                    <FormAddNewStaff AddNewStaffAction={AddNewStaffAction} 
                        isFetching={isFetching}
                        getUser={ getUser }
                        photo={ photo } 
                        pushPhoto={ pushPhoto }
                    />
                </div>
                <EditModal visible={showModal}
                    onOk={this.closeEditModal}
                    onCancel={this.closeEditModal}
                    error={error}
                />
            </div>

        );
    }
}


const mapStateToProps = state => ({
    staffData: state.addStaff.staffData,
    photo: state.addStaff.photo,
    isFetching: state.addStaff.isFetching,
    showModal: state.addStaff.showModal,
    error: state.addStaff.error,
    getUser: state.getUserById.getUser,
});

const mapDispatchToProps = dispatch => bindActionCreators({ AddNewStaffAction, getUsersDataById, closeModal, pushPhoto }, dispatch);

export default AddNewStaff = connect(
    mapStateToProps,
    mapDispatchToProps
)(AddNewStaff);